<?

// Edit & Translate to PL by: pekemon 
// website: www.pekemon.cba.pl


//Header("Content-type: Excel.sheet"); 
//Header("Content-Disposition: filename=". date("Y-m-d") .".csv"); 
require_once "../../../maincore.php";

require_once THEMES."templates/header.php";


if (file_exists(INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."donation_manager_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."donation_manager_panel/locale/English.php";
}

	$TABLE_DATA = "<table width='100%' border='0' cellpadding='0' cellspacing='0'>
		    <tr align='center'> 
		      <td colspan='9'><strong><font size='3'>".$locale['dm_export_summary']."</font></strong></td>
		    </tr>\n
		    <tr align='center'> 
		      <td colspan='9'>&nbsp;</td>
		    </tr>\n
		    <tr>  
			  <td><b>".$locale['dm_export_member']."</b></td>
			  <td><b>".$locale['dm_export_joined']."</b></td>	  
			  <td><b>".$locale['dm_export_yearly_fee']."</b></td>
			  <td><b>".$locale['dm_export_adj_fee']."</b></td>	  
			  <td><b>".$locale['dm_export_fees_paid']."</b></td>
			  <td><b>".$locale['dm_export_leftover']."</b></td>  
			  <td><b>".$locale['dm_export_paid']."</b></td>
			  <td><b>".$locale['dm_export_projected']."</b></td> 
			  <td><b>".$locale['dm_export_projected_total']."</b></td> 
		    </tr>\n";


//Generate table data for members who have donated.
	$get_current_info = dbquery("SELECT 
			u.user_name as username,
		    f.terms as terms,
		    ROUND(f.yearlyfee, 2) as yearly_set_fee,
			CASE DATE_FORMAT(f.joinDate, '%Y')
				WHEN DATE_FORMAT(now(), '%Y')
					THEN ROUND((f.yearlyfee / 12) * ((DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1)), 2)
					ELSE ROUND(f.yearlyfee, 2)
            		END as adj_yearly_fee,
		    ROUND(sum(t.mc_gross),2) as ytd_paid,
		    (12 - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_total_months,
		    (DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_months_passed,
			DATE_FORMAT(f.joinDate, '%Y') as join_year,
			DATE_FORMAT(f.joinDate, '%c') as join_month
		FROM ".$db_prefix."users u, ".$db_prefix."dm_fees f, ".$db_prefix."dm_transactions t
		WHERE f.user_id = u.user_id and t.option_selection2 = f.user_id
		GROUP BY t.option_selection2 ORDER BY u.user_name");
		
	// ADD ------------------------------------------
	// BUG
	// 55 - ".$db_prefix." add 'fusion_users'
	// 55 - ".$db_prefix." add 'fusion_dm_fees'
	// 55 - ".$db_prefix." add 'fusion_dm_transactions'


	while($data = dbarray($get_current_info)) {
		$str_username = $data['username'];
		$int_joinDate = $data['join_month'] . "." . $data['join_year'];
		$int_yearlyFee = sprintf('$%.02f',$data['yearly_set_fee']);
		$int_adjFee = sprintf('$%.02f',$data['adj_yearly_fee']);
		$int_ytdFeesPaid = sprintf('$%.02f',$data['ytd_paid']);
		$int_tydFeedLeftover = sprintf('$%.02f',($data['adj_yearly_fee'] - $data['ytd_paid']));
		$int_ytdPctPaid = sprintf('%.00f',$data['ytd_paid'] / $data['adj_yearly_fee'] * 100);
		$int_projYTDPct = sprintf('%.00f',(100 / $data['adj_total_months']) * $data['adj_months_passed']);
		$int_projYTDTotal = sprintf('$%.02f',($data['adj_yearly_fee'] / $data['adj_total_months']) * $data['adj_months_passed']);

		$TABLE_DATA .= "<tr>";
		$TABLE_DATA .= "	<td align='left'>" . $str_username . "</td>";
		$TABLE_DATA .= "	<td>" . $int_joinDate . "</td>";
		$TABLE_DATA .= "	<td>" . $int_yearlyFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_adjFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdFeesPaid . "</td>";
		$TABLE_DATA .= "	<td>" . $int_tydFeedLeftover . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdPctPaid . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDPct . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDTotal . "</td>";
		$TABLE_DATA .= "</tr>\t";
	}













//Generate list 2. Users who have NOT donated yet...
	$get_user_list = dbquery("SELECT u.user_name as username,
					f.terms as terms,
					ROUND(f.yearlyfee, 2) as yearly_set_fee,
					CASE DATE_FORMAT(f.joinDate, '%Y')
						WHEN DATE_FORMAT(now(), '%Y')
							THEN ROUND((f.yearlyfee / 12) * ((DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1)), 2)
							ELSE ROUND(f.yearlyfee, 2)
							END as adj_yearly_fee,
						ROUND(0,2) as ytd_paid,
						(12 - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_total_months,
						(DATE_FORMAT(now(), '%c') - DATE_FORMAT(f.joinDate, '%c') + 1) as adj_months_passed,
						DATE_FORMAT(f.joinDate, '%Y') as join_year,
						DATE_FORMAT(f.joinDate, '%c') as join_month
					FROM ".$db_prefix."users u, ".$db_prefix."dm_fees f
					LEFT JOIN ".$db_prefix."dm_transactions t ON 
					f.user_id = t.option_selection2
					WHERE t.option_selection2 is null AND f.user_id = u.user_id
					ORDER BY u.user_name
	");
	
	// ADD ------------------------------------------
	// BUG
	// 116 - ".$db_prefix." add 'fusion_users'
	// 116 - ".$db_prefix." add 'fusion_dm_fees'
	// 117 - ".$db_prefix." add 'fusion_dm_transactions'
	
	
	while($data = dbarray($get_user_list)) {
		$str_username = $data['username'];
		$int_joinDate = $data['join_month'] . "." . $data['join_year'];
		$int_yearlyFee = sprintf('$%.02f',$data['yearly_set_fee']);
		$int_adjFee = sprintf('$%.02f',$data['adj_yearly_fee']);
		$int_ytdFeesPaid = sprintf('$%.02f',$data['ytd_paid']);
		$int_tydFeedLeftover = sprintf('$%.02f',($data['adj_yearly_fee'] - $data['ytd_paid']));
		$int_ytdPctPaid = sprintf('%.00f',$data['ytd_paid'] / $data['adj_yearly_fee'] * 100);
		$int_projYTDPct = sprintf('%.00f',(100 / $data['adj_total_months']) * $data['adj_months_passed']);
		$int_projYTDTotal = sprintf('$%.02f',($data['adj_yearly_fee'] / $data['adj_total_months']) * $data['adj_months_passed']);

		$TABLE_DATA .= "<tr>";
		$TABLE_DATA .= "	<td align='left'>" . $str_username . "</td>";
		$TABLE_DATA .= "	<td>" . $int_joinDate . "</td>";
		$TABLE_DATA .= "	<td>" . $int_yearlyFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_adjFee . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdFeesPaid . "</td>";
		$TABLE_DATA .= "	<td>" . $int_tydFeedLeftover . "</td>";
		$TABLE_DATA .= "	<td>" . $int_ytdPctPaid . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDPct . "%</td>";
		$TABLE_DATA .= "	<td>" . $int_projYTDTotal . "</td>";
		$TABLE_DATA .= "</tr>\t";
	}
		$TABLE_DATA .= "</table>\n";


header("Content-Type: application/vnd.ms-excel; name='excel'");
header("Content-disposition: attachment; filename=" .date("Y-m-d").".xls");

echo $TABLE_DATA;

?>